<template>
  <div>
    <FrTitle v-if="error.statusCode === 404" black class="fr-col-lg-8">
      Cette page n'existe pas.
    </FrTitle>
    <h1 v-else>Une erreur est survenue</h1>
    <NuxtLink
      class="fr-link fr-icon-arrow-right-line fr-link--icon-right"
      to="/"
      >Retour à l'accueil</NuxtLink
    >
  </div>
</template>

<script>
// import { setDocumentTitle } from '~/tools/matomo';
import FrTitle from '~/components/ui/Title';

export default {
  components: { FrTitle },
  layout: 'error',
  props: {
    error: {
      type: Object,
      required: true,
    },
  },
  mounted() {
    /*
    setDocumentTitle(
      `404/URL = ${encodeURIComponent(
        document.location.pathname,
      )}/From = ${encodeURIComponent(document.referrer)}`,
    );
    this.$matomo?.trackPageView();
    */
  },
};
</script>
